<bugID>1398779<Summary>If the Highlights section is re-enabled, no cards are displayed until the page is refreshed</Summary><Description>Created attachment 8906614
highlights not displayed after re-enabling them.gif

[Affected versions]:
- Firefox 57.0a1 Build ID 20170910220126

[Affected Platforms]:
- All Windows
- All Mac
- All Linux

[Prerequisites]:
- browser.newtabpage.activity-stream.enabled is set to true in about:config on a clean new profile.
- Have enough history so that Top Sites and Highlights are populated.

[Steps to reproduce]:
1. Start the browser with the profile from prerequisites.
2. Click the "Customize your New Tab page" button.
3. Disable the Highlights section.
4. Re-enable the Highlights section.

[Expected results]:
- All previously hidden Highlights are displayed.

[Actual results]:
- Three empty placeholders are displayed.

[Notes]:
- Attached a screen recording of the issue.</Description></bugID>